This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Bugfix: va_build_stack leaks the stack if do_mkstack fails
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington, tontinton
Priority: normal Keywords: patch

Created on 2020-08-12 17:27 by tontinton, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21847 merged tontinton, 2020-08-12 17:34
PR 22014 closed miss-islington, 2020-08-30 04:53
PR 22015 merged miss-islington, 2020-08-30 04:53
PR 22103 merged miss-islington, 2020-09-04 22:28
Messages (5)
msg375267 - (view) Author: Tony (tontinton) * Date: 2020-08-12 17:27
When calling a function a stack is allocated via va_build_stack.

There is a leak that happens if do_mkstack fails in it.
msg376080 - (view) Author: Tony (tontinton) * Date: 2020-08-29 21:19
bump
msg376097 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2020-08-30 04:53
New changeset 75c80b0bda89debf312f075716b8c467d411f90e by Tony Solomonik in branch 'master':
closes bpo-41533: Fix a potential memory leak when allocating a stack (GH-21847)
https://github.com/python/cpython/commit/75c80b0bda89debf312f075716b8c467d411f90e
msg376409 - (view) Author: miss-islington (miss-islington) Date: 2020-09-04 22:26
New changeset 66e9c2aee4af846ab1b77faa8a46fe3a9373d943 by Miss Islington (bot) in branch '3.8':
[3.8] closes bpo-41533: Fix a potential memory leak when allocating a stack (GH-21847) (GH-22015)
https://github.com/python/cpython/commit/66e9c2aee4af846ab1b77faa8a46fe3a9373d943
msg376413 - (view) Author: miss-islington (miss-islington) Date: 2020-09-04 22:56
New changeset 106c1df736d38f5b411a8571b97275d0ecf1d0a9 by Miss Islington (bot) in branch '3.9':
closes bpo-41533: Fix a potential memory leak when allocating a stack (GH-21847)
https://github.com/python/cpython/commit/106c1df736d38f5b411a8571b97275d0ecf1d0a9
History
Date User Action Args
2022-04-11 14:59:34adminsetgithub: 85705
2020-09-04 22:56:08miss-islingtonsetmessages: + msg376413
2020-09-04 22:28:27miss-islingtonsetpull_requests: + pull_request21189
2020-09-04 22:26:13miss-islingtonsetmessages: + msg376409
2020-08-30 04:53:37miss-islingtonsetpull_requests: + pull_request21115
2020-08-30 04:53:30miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request21114
2020-08-30 04:53:16benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg376097

resolution: fixed
stage: patch review -> resolved
2020-08-29 21:19:42tontintonsetmessages: + msg376080
2020-08-12 17:34:37tontintonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20974
2020-08-12 17:27:41tontintoncreate